{
    "format_version": "1.10.0",
    "minecraft:client_entity": {
        "description": {
            "identifier": "sg_vtng:mechanical_crafter_entity",
            "materials": {
                "default": "entity"
            },
            "textures": {
                "default": "textures/sg/vtng/blocks/invisible_texture"
            },
            "geometry": {
                "default": "geometry.sg_vtng.crafter_entity"
            },
            "animations": {
                "item_offset_left": "animation.sg_vtng.mechanical_crafter.offset_item.left_item",
                "block_offset_left": "animation.sg_vtng.mechanical_crafter.offset_block.left_item",
                "item_offset_right": "animation.sg_vtng.mechanical_crafter.offset_item.right_item",
                "block_offset_right": "animation.sg_vtng.mechanical_crafter.offset_block.right_item"
            },
            "scripts": {
                "animate": [
                    { "item_offset_left": "q.property('sg_vtng:type_left') == 0" },
                    { "block_offset_left": "q.property('sg_vtng:type_left') == 1" },
                    { "item_offset_right": "q.property('sg_vtng:type_right') == 0" },
                    { "block_offset_right": "q.property('sg_vtng:type_right') == 1" }
                ]
            },
            "render_controllers": [
                "controller.render.default"
            ]
        }
    }
}